jQuery(document).ready(function($) {
	/* Meta */
	$('#bannerzon-auto-insert').change(function(event) {
		var $dependents = $('.bannerzon-auto-insert-dependent');

		if($(this).is(':checked')) {
			$dependents.show();
		} else {
			$dependents.hide();
		}
	}).change();

	$('#bannerzon-locale').change(function(event) {
		var $search_index = $('#bannerzon-individual-search-index').empty()
		, $locale_search_index = $('#bannerzon-individual-search-locale-index')
		, $options = $locale_search_index.find('option[data-locale="' + $(this).val() + '"]');

		$search_index.append($options.clone());
	}).change();

	$('#bannerzon-display-type').change(function(event) {
		var $dependents = $('.bannerzon-display-type-dependency');

		$dependents.hide().filter('[data-display-type="' + $(this).val() + '"]').show();
	}).change();

	/** Individual Product Search **/

	var search_callback = function(event) {
		event.preventDefault();

		var locale = $('#bannerzon-locale').val()
		, search_index = $('#bannerzon-individual-search-index').val()
		, search_term = $('#bannerzon-individual-search').val()
		, $ajax = $('#bannerzon-individual-search-ajax')
		, $pagination_area = $('#bannerzon-individual-search-pagination')
		, $search_results = $('#bannerzon-individual-search-results tbody')
		, callback = null;

		BannerZon.retrieve_item_options(locale, search_index, search_term, 1, $ajax, $search_results, $pagination_area, callback);
	};

	$('#bannerzon-individual-search').keypress(function(event) {
		if(13 == event.which) { // Press Return
			search_callback(event);
		}
	});

	$('#bannerzon-individual-search-submit').click(function(event) {
		search_callback(event);
	});

	$('.bannerzon-individual-search-pagination').live('click', function(event) {
		event.preventDefault();

		var $this = $(this)
		, $ajax = $('#bannerzon-individual-search-ajax')
		, $pagination_area = $('#bannerzon-individual-search-pagination')
		, $search_results = $('#bannerzon-individual-search-results tbody')
		, callback = null;

		BannerZon.retrieve_item_options($this.attr('data-search-locale'), $this.attr('data-search-index'), $this.attr('data-search-term'), $this.attr('data-page'), $ajax, $search_results, $pagination_area, callback);
	});

	$('.bannerzon-product-add').live('click', function(event) {
		event.preventDefault();

		var $this = $(this)
		, $row = $this.parents('tr.bannerzon-product')
		, $list = $('#bannerzon-products-list')
		, $template = $('#bannerzon-products-template').clone().removeAttr('id').removeClass('indicator')
		, $asin_input = $template.find('.bannerzon-asin-input')
		, $link_input = $template.find('.bannerzon-asin-link-input')
		, $title_input = $template.find('.bannerzon-asin-title-input')
		, $title = $template.find('.bannerzon-product-title')
		, asin = $.trim($row.attr('data-asin'))
		, link = $.trim($row.find('.bannerzon-product-title a').attr('href'))
		, title = $.trim($row.find('.bannerzon-product-title').text());


		$title.text(title).attr('href', link);
		$asin_input.val(asin);
		$link_input.val(link);
		$title_input.val(title);

		$list.append($template);
	});

	$('.bannerzon-remove-product').live('click', function(event) {
		event.preventDefault();

		$(this).parents('li').remove();
	});

	/** Defaults **/

	$('.bannerzon-default-checkbox').change(function(event) {
		var $dependents = $(this).parent().siblings('div');

		if($(this).is(':checked')) {
			$dependents.hide();
		} else {
			$dependents.show();
		}
	}).change();

	/* Settings */

	/** Cloaking and Tracking **/
	$('#bannerzon-links-cloaking').change(function(event) {
		var $dependents = $('.bannerzon-links-cloaking-dependent');

		if($(this).is(':checked')) {
			$dependents.show();
		} else {
			$dependents.hide();
		}
	}).change();

	$('#bannerzon-links-tracking').change(function(event) {
		var $cloaking = $('#bannerzon-links-cloaking');

		if($(this).is(':checked')) {
			$cloaking.attr('checked', 'checked').attr('disabled', 'disabled').change();
		} else {
			$cloaking.removeAttr('disabled').change();
		}
	}).change();

	$('#bannerzon-links-cloaking-prefix').bind('keyup', function(event) {
		var $this = $(this)
		, cloaking_prefix = $.trim($this.val());

		if('' == cloaking_prefix) {
			cloaking_prefix = 'item';
			$this.val(cloaking_prefix);
		}

		$this.css('width', ((cloaking_prefix.length + 1) * 7 + 4) + 'px');
	}).keyup();

	/** Color Pickers **/
	$('.bannerzon-color').each(function(index, color_field) {
		var $color_picker = $('<div class="bannerzon-color-picker"></div>')
		, $color_field = $(color_field).after($color_picker).focus(function(event) {
			$color_picker.show();
		}).blur(function(event) {
			$color_picker.hide();
		});

		$.farbtastic($color_picker, $color_field).setColor($color_field.val());
	}).blur();


	/* Browse Node Selector */
	$('.bannerzon-category-choosenew, .bannerzon-category-startover').live('click', function(event) {
		event.preventDefault();

		var $container = $(this).parents('.bannerzon-category-selector-container');

		BannerZon.retrieve_category_options($('.bannerzon-locale:first').val(), 0, '-1', $container.find('.bannerzon-category-selector'), $container.find('.bannerzon-category-ajax-indicator'), function() {
			$container.find('.bannerzon-category-choosenew').hide();
			$container.find('.bannerzon-category-startover').show();
			$container.find('.bannerzon-category-selector').show().change();
			$container.find('.bannerzon-category-set, .bannerzon-category-default').show();
			$container.find('.bannerzon-category-name').hide();
		});
	});

	$('.bannerzon-category-children').live('click', function(event) {
		event.preventDefault();

		var $container = $(this).parents('.bannerzon-category-selector-container');
		var $option = $container.find('.bannerzon-category-selector option:selected');

		BannerZon.retrieve_category_options($('.bannerzon-locale:first').val(), $container.find('.bannerzon-category-selector').val(), $option.attr('data-hierarchy'), $container.find('.bannerzon-category-selector'), $container.find('.bannerzon-category-ajax-indicator'), function() {});
	});

	$('.bannerzon-category-parent').live('click', function(event) {
		event.preventDefault();

		var $container = $(this).parents('.bannerzon-category-selector-container');
		var $option = $container.find('.bannerzon-category-selector option:selected');

		var hierarchy = $option.attr('data-hierarchy');
		var hierarchy_parts = hierarchy.split(',');
		var browse_node_id = hierarchy_parts[1];
		var hierarchy_old = hierarchy_parts.slice(2).join(',');

		BannerZon.retrieve_category_options($('.bannerzon-locale:first').val(), browse_node_id, hierarchy_old, $container.find('.bannerzon-category-selector'), $container.find('.bannerzon-category-ajax-indicator'), function() {});
	});

	$('.bannerzon-category-set').live('click', function(event) {
		event.preventDefault();

		var $container = $(this).parents('.bannerzon-category-selector-container');

		var $selector = $container.find('.bannerzon-category-selector');
		var $selected = $selector.find('option:selected');

		$container.find('.bannerzon-category-name').text($selected.attr('data-ancestral'));
		$container.find('#' + $selector.attr('data-input')).val($selector.val());

		$container.find('.bannerzon-category-choosenew').show();
		$container.find('.bannerzon-category-startover').hide();
		$container.find('.bannerzon-category-selector').hide();
		$container.find('.bannerzon-category-set, .bannerzon-category-default').hide();
		$container.find('.bannerzon-category-name').show();
		$container.find('.bannerzon-category-children, .bannerzon-category-parent').hide();
	});

	$('.bannerzon-category-default').live('click', function(event) {
		event.preventDefault();

		var $container = $(this).parents('.bannerzon-category-selector-container');

		var $selector = $container.find('.bannerzon-category-selector').hide().empty().append('<option data-ancestral="Site Default" value="default">Site Default</option>').val('default');
		$container.find('.bannerzon-category-set').click();
	});

	$('.bannerzon-category-selector').change(function(event) {
		var $this = $(this);
		var $up_level = $this.siblings('.bannerzon-category-parent');
		var $get_children = $this.siblings('.bannerzon-category-children');
		var $option = $this.find('option:selected');

		if(1 == $option.attr('data-children')) {
			$get_children.show();
		} else {
			$get_children.hide();
		}

		if('0,-1' == $option.attr('data-hierarchy')) {
			$up_level.hide();
		} else {
			$up_level.show();
		}
	});

	$('.bannerzon-locale').change(function(event) {
		$('.bannerzon-category-choosenew').click();
	});

	/** Popup **/
	$('#bannerzon-ad-insert-shortcode-form').submit(function(event) {
		event.preventDefault();

		BannerZon.insert_bannerzon_ad_shortcode($('.bannerzon-align:first input:checked').val(), $('#bannerzon-ad-insert-shortcode-banner_id').val());
	});
});

var BannerZon = (function(jQuery) {
	var $ = jQuery
	, is_requesting_items = false
	, _insert_bannerzon_ad_shortcode = null
	, _retrieve_category_options = null
	, _retrieve_item_options = null
	, _show_bannerzon_ad_shortcode_form = null;

	_retrieve_category_options = function(locale, browse_node_id, hierarchy, $selector, $ajax, callback) {
		$ajax.css('visibility', 'visible');
		$selector.attr('disabled','disabled');

		$.post(
			ajaxurl,
			{
				action: 'bannerzon_get_browse_node_options',
				browse_node_id: browse_node_id,
				locale: locale,
				hierarchy: hierarchy
			},
			function(data, status) {
				$ajax.css('visibility', 'hidden');
				$selector.removeAttr('disabled');

				if('' === data) {
					alert(BannerZon_Vars.no_browse_node_options_found);
				} else {
					$selector.empty().append(data).change();
					$('#' + $selector.attr('data-input')).val('');
				}

				if('function' == typeof callback) {
					callback();
				}
			},
			'html'
		);
	};

	_retrieve_item_options = function(locale, search_index, search_term, page, $ajax, $search_results, $pagination_area, callback) {
		if(is_requesting_items) {
			return;
		}
		is_requesting_items = true;

		$ajax.show();
		$pagination_area.empty();
		$search_results.find('tr:not(.bannerzon-ajax)').remove();

		$.post(
			ajaxurl,
			{
				action: 'bannerzon_get_item_options',
				locale: locale,
				page: page,
				search_index: search_index,
				search_term: search_term
			},
			function(data, status) {
				$ajax.hide();
				$search_results.append(data.rows);
				$pagination_area.html(data.pagination);

				if('function' == typeof callback) {
					callback();
				}

				is_requesting_items = false;
			},
			'json'
		);
	};

	// Shortcodes

	_insert_bannerzon_ad_shortcode = function(align, banner_id) {
		top.send_to_editor('[bannerzon align="' + align + '" banner_id="' + banner_id + '"]');
	}

	_show_bannerzon_ad_shortcode_form = function() {
		tb_show(BannerZon_Vars.bannerzon_ad_shortcode_popup_caption, BannerZon_Vars.bannerzon_ad_shortcode_popup_url, null);
	};

	return {
		insert_bannerzon_ad_shortcode: _insert_bannerzon_ad_shortcode,
		retrieve_category_options: _retrieve_category_options,
		retrieve_item_options: _retrieve_item_options,
		show_bannerzon_ad_shortcode_form: _show_bannerzon_ad_shortcode_form
	};
}(jQuery));