<h4><?php _e('Insertion Settings'); ?></h4>

<table class="form-table">
	<tbody>
		<tr valign="top">
			<th scope="row"><label for="bannerzon-auto-insert"><?php _e('Auto Insert in Content'); ?></label></th>
			<td>
				<label>
					<input type="checkbox" <?php checked($meta['auto-insert'], 'yes'); ?> name="bannerzon[auto-insert]" id="bannerzon-auto-insert" value="yes" />
					<?php _e('This banner should be automatically inserted into content'); ?>
				</label><br />

				<small><?php _e('You can disable this on individual posts.'); ?></small>
			</td>
		</tr>
		<tr class="bannerzon-auto-insert-dependent" valign="top">
			<th scope="row"><label for="bannerzon-auto-insert-content-types"><?php _e('Auto Insert Content Types'); ?></label></th>
			<td>
				<ul class="bannerzon-nomargin">
					<?php foreach(get_post_types(array('public' => true, 'show_ui' => true), 'objects') as $post_type) { ?>
					<li>
						<label>
							<input <?php checked(in_array($post_type->name, $meta['auto-insert-content-types']), true); ?> type="checkbox" name="bannerzon[auto-insert-content-types][]" value="<?php esc_attr_e($post_type->name); ?>" />
							<?php esc_html_e($post_type->label); ?>
						</label>
					</li>
					<?php } ?>
				</ul>
			</td>
		</tr>
		<tr class="bannerzon-auto-insert-dependent" valign="top">
			<th scope="row"><label for="bannerzon-auto-insert-position"><?php _e('Auto Insert Position'); ?></label></th>
			<td>
				<select name="bannerzon[auto-insert-position]" id="bannerzon-auto-insert-position">
					<option <?php selected($meta['auto-insert-position'], 'beginning'); ?> value="beginning"><?php _e('Beginning of Content'); ?></option>
					<option <?php selected($meta['auto-insert-position'], 'end'); ?> value="end"><?php _e('End of Content'); ?></option>
				</select>
			</td>
		</tr>
		<tr class="bannerzon-auto-insert-dependent" valign="top">
			<th scope="row"><label for="bannerzon-auto-insert-align"><?php _e('Auto Insert Alignment'); ?></label></th>
			<td>
				<select name="bannerzon[auto-insert-align]" id="bannerzon-auto-insert-align">
					<option <?php selected($meta['auto-insert-align'], 'left'); ?> value="left"><?php _e('Left'); ?></option>
					<option <?php selected($meta['auto-insert-align'], 'center'); ?> value="center"><?php _e('Center'); ?></option>
					<option <?php selected($meta['auto-insert-align'], 'right'); ?> value="right"><?php _e('Right'); ?></option>
					<option <?php selected($meta['auto-insert-align'], 'none'); ?> value="none"><?php _e('None'); ?></option>
				</select>
			</td>
		</tr>
	</tbody>
</table>

<h4><?php _e('Content Settings'); ?></h4>

<table class="form-table">
	<tbody>
		<tr valign="top">
			<th scope="row"><label for="bannerzon-locale"><?php _e('Locale'); ?></label></th>
			<td>
				<select class="bannerzon-locale" name="bannerzon[locale]" id="bannerzon-locale">
					<?php foreach(THG_Amazon_API::get_locale_keys() as $locale_key) { ?>
					<option <?php selected($meta['locale'], $locale_key); ?> value="<?php esc_attr_e($locale_key); ?>"><?php esc_html_e(THG_Amazon_API::get_locale_name($locale_key)); ?></option>
					<?php } ?>
				</select>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="bannerzon-display-type"><?php _e('Ad Type'); ?></label></th>
			<td>
				<select name="bannerzon[display-type]" id="bannerzon-display-type">
					<option <?php selected($meta['display-type'], 'individual'); ?> value="individual"><?php _e('Individual Products'); ?></option>
					<option <?php selected($meta['display-type'], 'category'); ?> value="category"><?php _e('Category Bestsellers'); ?></option>
				</select>
			</td>
		</tr>
		<tr class="bannerzon-display-type-dependency" data-display-type="individual" valign="top">
			<th scope="row"><?php _e('Products'); ?></th>
			<td>
				<ul class="bannerzon-nomargin" id="bannerzon-products-list">
					<li class="indicator" id="bannerzon-products-empty"><?php _e('You haven\'t selected any products for this banner'); ?></li>
					<li class="indicator" id="bannerzon-products-template">
						<input class="bannerzon-asin-input" type="hidden" name="bannerzon[asins][]" value="" />
						<input class="bannerzon-asin-title-input" type="hidden" name="bannerzon[asin-titles][]" value="" />
						<input class="bannerzon-asin-link-input" type="hidden" name="bannerzon[asin-links][]" value="" />
						<a class="bannerzon-product-title" href="#" target="_blank"></a> -
						<a class="bannerzon-remove-product" href="#"><?php _e('Remove'); ?></a>
					</li>
					<?php for($i = 0; $i < count($meta['asins']); $i++) { ?>
					<li>
						<input class="bannerzon-asin-input" type="hidden" name="bannerzon[asins][]" value="<?php esc_attr_e($meta['asins'][$i]); ?>" />
						<input class="bannerzon-asin-title-input" type="hidden" name="bannerzon[asin-titles][]" value="<?php esc_attr_e($meta['asin-titles'][$i]); ?>" />
						<input class="bannerzon-asin-link-input" type="hidden" name="bannerzon[asin-links][]" value="<?php esc_attr_e($meta['asin-links'][$i]); ?>" />
						<a class="bannerzon-product-title" href="<?php esc_attr_e($meta['asin-links'][$i]); ?>" target="_blank"><?php esc_html_e($meta['asin-titles'][$i]); ?></a> -
						<a class="bannerzon-remove-product" href="#"><?php _e('Remove'); ?></a>
					</li>
					<?php } ?>
				</ul>
			</td>
		</tr>
		<tr class="bannerzon-display-type-dependency" data-display-type="individual" valign="top">
			<th scope="row"><label for="bannerzon-individual-search"><?php _e('Product Search'); ?></label></th>
			<td>
				<div id="bannerzon-individual-search-container">
					<input type="text" class="regular-text" id="bannerzon-individual-search" /><br />

					<select id="bannerzon-individual-search-index"></select>
					<input type="button" class="button button-secondary" id="bannerzon-individual-search-submit" value="<?php _e('Search'); ?>" />

					<table class="widefat" id="bannerzon-individual-search-results">
						<thead>
							<th scope="col"><?php _e('Title'); ?></th>
							<th class="bannerzon-price-col" scope="col"><?php _e('Price'); ?></th>
							<th class="bannerzon-actions-col" scope="col"><?php _e('Actions'); ?></th>
						</thead>
						<tbody>
							<tr class="bannerzon-ajax" id="bannerzon-individual-search-ajax" valign="top">
								<td colspan="3" style="text-align: center;">
									<img src="<?php esc_attr_e(admin_url('images/wpspin_light.gif'));?>" class="ajax-feedback" title="" alt="" />
								</td>
							</tr>
							<tr class="bannerzon-noresults" valign="top">
								<td colspan="3"><?php _e('No results yet - enter some search terms to find products for this banner.'); ?></td>
							</tr>
						</tbody>
					</table>

					<div class="tablenav">
						<div id="bannerzon-individual-search-pagination"></div>
					</div>
				</div>
				<div id="bannerzon-individual-chosen-container">
					<div id="bannerzon-individual-chosen"></div>
				</div>

				<select id="bannerzon-individual-search-locale-index">
					<?php foreach(THG_Amazon_API::get_locale_keys() as $locale_key) { ?>
					<optgroup label="<?php esc_attr_e(THG_Amazon_API::get_locale_name($locale_key)); ?>">
					<?php foreach(THG_Amazon_API::get_locale_search_indices($locale_key) as $search_index) { ?>
						<option data-locale="<?php esc_attr_e($locale_key); ?>" value="<?php esc_attr_e($search_index); ?>"><?php esc_html_e(THG_Amazon_API::get_search_index_nice_name($search_index)); ?></option>
					<?php } ?>
					</optgroup>
					<?php } ?>
				</select>
			</td>
		</tr>
		<tr class="bannerzon-display-type-dependency" data-display-type="category" valign="top">
			<th scope="row"><label for="bannerzon-category"><?php _e('Bestseller Category'); ?></label></th>
			<td>
				<?php self::display_category_selector($meta['category-name'], $meta['category'], 'bannerzon-category', 'bannerzon[category]', $settings['access-key-id'], $settings['secret-access-key']); ?>
			</td>
		</tr>
	</tbody>
</table>

<h4><?php _e('Display Settings'); ?></h4>

<table class="form-table">
	<tbody>
		<tr valign="top">
			<th scope="row"><label for="bannerzon-size"><?php _e('Size'); ?></label></th>
			<td>
				<select name="bannerzon[size]" id="bannerzon-size">
					<?php foreach(self::get_banner_sizes() as $banner_size => $nice_banner_size) { ?>
					<option <?php selected($meta['size'], $banner_size); ?> value="<?php esc_attr_e($banner_size); ?>"><?php esc_html_e($nice_banner_size); ?></option>
					<?php } ?>
				</select>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="bannerzon-display-price"><?php _e('Display Price?'); ?></label></th>
			<td>
				<label class="bannerzon-default-checkbox-container">
					<input <?php checked($meta['display-price-default'], 'yes'); ?> class="bannerzon-default-checkbox" type="checkbox" name="bannerzon[display-price-default]" id="bannerzon-display-price-default" value="yes" />
					<?php _e('Use Site Default'); ?>
				</label>
				<div class="bannerzon-nondefaults">
					<ul class="bannerzon-nomargin">
						<li>
							<label>
								<input <?php checked($meta['display-price'], 'yes'); ?> type="radio" name="bannerzon[display-price]" id="bannerzon-display-price-yes" value="yes" />
								<?php _e('Yes'); ?> - <small><?php _e('If you display prices in your banners, a small disclaimer will be displayed as well'); ?></small>
							</label>
						</li>
						<li>
							<label>
								<input <?php checked($meta['display-price'], 'no'); ?> type="radio" name="bannerzon[display-price]" id="bannerzon-display-price-no" value="no" />
								<?php _e('No'); ?>
							</label>
						</li>
					</ul>
				</div>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="bannerzon-background-color"><?php _e('Background Color'); ?></label></th>
			<td>
				<label class="bannerzon-default-checkbox-container">
					<input <?php checked($meta['background-color-default'], 'yes'); ?> class="bannerzon-default-checkbox" type="checkbox" name="bannerzon[background-color-default]" id="bannerzon-background-color-default" value="yes" />
					<?php _e('Use Site Default'); ?>
				</label>
				<div class="bannerzon-color-container">
					<input type="text" class="code small-text bannerzon-color" name="bannerzon[background-color]" id="bannerzon-background-color" value="<?php esc_attr_e($meta['background-color']); ?>" />
				</div>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="bannerzon-text-color"><?php _e('Text Color'); ?></label></th>
			<td>
				<label class="bannerzon-default-checkbox-container">
					<input <?php checked($meta['text-color-default'], 'yes'); ?> class="bannerzon-default-checkbox" type="checkbox" name="bannerzon[text-color-default]" id="bannerzon-text-color-default" value="yes" />
					<?php _e('Use Site Default'); ?>
				</label>
				<div class="bannerzon-color-container">
					<input type="text" class="code small-text bannerzon-color" name="bannerzon[text-color]" id="bannerzon-text-color" value="<?php esc_attr_e($meta['text-color']); ?>" />
				</div>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="bannerzon-link-color"><?php _e('Link Color'); ?></label></th>
			<td>
				<label class="bannerzon-default-checkbox-container">
					<input <?php checked($meta['link-color-default'], 'yes'); ?> class="bannerzon-default-checkbox" type="checkbox" name="bannerzon[link-color-default]" id="bannerzon-link-color-default" value="yes" />
					<?php _e('Use Site Default'); ?>
				</label>
				<div class="bannerzon-color-container">
					<input type="text" class="code small-text bannerzon-color" name="bannerzon[link-color]" id="bannerzon-link-color" value="<?php esc_attr_e($meta['link-color']); ?>" />
				</div>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="bannerzon-border-thickness"><?php _e('Border'); ?></label></th>
			<td>
				<label class="bannerzon-default-checkbox-container">
					<input <?php checked($meta['border-default'], 'yes'); ?> class="bannerzon-default-checkbox" type="checkbox" name="bannerzon[border-default]" id="bannerzon-border-default" value="yes" />
					<?php _e('Use Site Default'); ?>
				</label>
				<div>
					<code>1px</code>
					<select class="code" name="bannerzon[border-style]" id="bannerzon-border-style">
						<option <?php selected($meta['border-style'], 'none') ?> value="none"><?php _e('None'); ?></option>
						<option <?php selected($meta['border-style'], 'hidden') ?> value="hidden"><?php _e('Hidden'); ?></option>
						<option <?php selected($meta['border-style'], 'solid') ?> value="solid"><?php _e('Solid'); ?></option>
						<option <?php selected($meta['border-style'], 'dotted') ?> value="dotted"><?php _e('Dotted'); ?></option>
						<option <?php selected($meta['border-style'], 'dashed') ?> value="dashed"><?php _e('Dashed'); ?></option>
						<option <?php selected($meta['border-style'], 'double') ?> value="double"><?php _e('Double'); ?></option>
						<option <?php selected($meta['border-style'], 'groove') ?> value="groove"><?php _e('Groove'); ?></option>
						<option <?php selected($meta['border-style'], 'ridge') ?> value="ridge"><?php _e('Ridge'); ?></option>
						<option <?php selected($meta['border-style'], 'inset') ?> value="inset"><?php _e('Inset'); ?></option>
						<option <?php selected($meta['border-style'], 'outset') ?> value="outset"><?php _e('Outset'); ?></option>
					</select>
					<div class="bannerzon-color-container">
						<input type="text" class="code small-text bannerzon-color" name="bannerzon[border-color]" id="bannerzon-border-color" value="<?php esc_attr_e($meta['border-color']); ?>" />
					</div>
				</div>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="bannerzon-border-radius"><?php _e('Border Radius'); ?></label></th>
			<td>
				<label class="bannerzon-default-checkbox-container">
					<input <?php checked($meta['border-radius-default'], 'yes'); ?> class="bannerzon-default-checkbox" type="checkbox" name="bannerzon[border-radius-default]" id="bannerzon-border-radius-default" value="yes" />
					<?php _e('Use Site Default'); ?>
				</label>
				<div>
					<input type="text" class="code small-text" name="bannerzon[border-radius]" id="bannerzon-border-radius" value="<?php esc_attr_e($meta['border-radius']); ?>" /><code>px</code>
				</div>
			</td>
		</tr>
	</tbody>
</table>

<?php wp_nonce_field('save-bannerzon-meta', 'save-bannerzon-meta-nonce'); ?>