<h4><?php _e('AWS Credentials'); ?></h4>

<p><?php _e('The following fields are required in order to send requests to Amazon and retrieve data about categories and products.  If this information is incorrect, your site will not display information from Amazon.'); ?>
<p><?php printf(__('If you do not already have access keys set up, please visit the <a href="%s" target="_blank">AWS Account Management</a> page to create and retrieve them.'), 'https://aws-portal.amazon.com/gp/aws/developer/account/index.html?ie=UTF8&action=access-key#access_credentials'); ?></p>

<table class="form-table">
	<tbody>
		<tr valign="top">
			<th scope="row"><label <?php pd_error_output_simple($errors, 'access-key-id'); ?> for="bannerzon-access-key-id"><?php _e('Access Key ID'); ?></label></th>
			<td>
				<input type="text" class="large-text code" name="bannerzon[access-key-id]" id="bannerzon-access-key-id" value="<?php esc_attr_e($settings['access-key-id']); ?>" />
				<?php pd_error_output($errors, 'access-key-id'); ?>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label <?php pd_error_output_simple($errors, 'secret-access-key'); ?> for="bannerzon-access-key-id"><?php _e('Secret Access Key'); ?></label></th>
			<td>
				<input type="text" class="large-text code" name="bannerzon[secret-access-key]" id="bannerzon-secret-access-key" value="<?php esc_attr_e($settings['secret-access-key']); ?>" />
				<?php pd_error_output($errors, 'secret-access-key'); ?>
			</td>
		</tr>
	</tbody>
</table>

<h4><?php _e('Associate Tags'); ?></h4>

<p><?php _e('The following fields are required if you want to earn affiliate commissions from your Amazon links.'); ?></p>

<table class="form-table">
	<tbody>
		<?php $first = true; foreach(THG_Amazon_API::get_locale_keys() as $locale_key) { ?>
		<tr valign="top">
			<th scope="row"><label for="bannerzon-associates-<?php esc_attr_e($locale_key); ?>"><?php esc_html_e(THG_Amazon_API::get_locale_name($locale_key)); ?></label></th>
			<td>
				<input type="text" class="regular-text code" name="bannerzon[associates][<?php esc_attr_e($locale_key); ?>]" id="bestsellerazon-associates-<?php esc_attr_e($locale_key); ?>" value="<?php esc_attr_e($settings['associates'][$locale_key]); ?>" /> <?php if($first) { ?><code><?php _e('(i.e. youridhere-20)'); ?></code><?php } ?><br />
				<?php if($first) { ?><small><?php _e('Please ensure the value you enter is a valid Amazon Associates tag for your chosen locale. If it is not, the plugin will not work correctly.'); ?></small><?php } ?>
			</td>
		</tr>
		<?php $first = false; } ?>
	</tbody>
</table>