<h4><?php _e('Content Defaults'); ?></h4>

<table class="form-table">
	<tbody>
		<tr valign="top">
			<th scope="row"><label for="bannerzon-default-locale"><?php _e('Default Locale'); ?></label></th>
			<td>
				<select class="bannerzon-locale" name="bannerzon[default-locale]" id="bannerzon-default-locale">
					<?php foreach(THG_Amazon_API::get_locale_keys() as $locale_key) { ?>
					<option <?php selected($settings['default-locale'], $locale_key); ?> value="<?php esc_attr_e($locale_key); ?>"><?php esc_html_e(THG_Amazon_API::get_locale_name($locale_key)); ?></option>
					<?php } ?>
				</select>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="bannerzon-default-display-type"><?php _e('Default Ad Type'); ?></label></th>
			<td>
				<select name="bannerzon[default-display-type]" id="bannerzon-default-display-type">
					<option <?php selected($settings['default-display-type'], 'individual'); ?> value="individual"><?php _e('Individual Products'); ?></option>
					<option <?php selected($settings['default-display-type'], 'category'); ?> value="category"><?php _e('Category Bestsellers'); ?></option>
				</select>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="bannerzon-default-category"><?php _e('Default Category for Bestsellers'); ?></label></th>
			<td>
				<?php self::display_category_selector($settings['default-category-name'], $settings['default-category'], 'bannerzon-default-category', 'bannerzon[default-category]', $settings['access-key-id'], $settings['secret-access-key']); ?>
			</td>
		</tr>
	</tbody>
</table>

<h4><?php _e('Display Defaults'); ?></h4>

<table class="form-table">
	<tbody>
		<tr valign="top">
			<th scope="row"><label for="bannerzon-default-size"><?php _e('Default Size'); ?></label></th>
			<td>
				<select name="bannerzon[default-size]" id="bannerzon-default-size">
					<?php foreach(self::get_banner_sizes() as $banner_size => $nice_banner_size) { ?>
					<option <?php selected($settings['default-size'], $banner_size); ?> value="<?php esc_attr_e($banner_size); ?>"><?php esc_html_e($nice_banner_size); ?></option>
					<?php } ?>
				</select>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><?php _e('Default Display Price?'); ?></th>
			<td>
				<ul class="bannerzon-nomargin">
					<li>
						<label>
							<input <?php checked($settings['default-display-price'], 'yes'); ?> type="radio" name="bannerzon[default-display-price]" id="bannerzon-default-display-price-yes" value="yes" />
							<?php _e('Yes'); ?> - <small><?php _e('If you display prices in your banners, a small disclaimer will be displayed as well'); ?></small>
						</label>
					</li>
					<li>
						<label>
							<input <?php checked($settings['default-display-price'], 'no'); ?> type="radio" name="bannerzon[default-display-price]" id="bannerzon-default-display-price-no" value="no" />
							<?php _e('No'); ?>
						</label>
					</li>
				</ul>

			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="bannerzon-default-background-color"><?php _e('Default Background Color'); ?></label></th>
			<td>
				<div class="bannerzon-color-container">
					<input type="text" class="code small-text bannerzon-color" name="bannerzon[default-background-color]" id="bannerzon-default-background-color" value="<?php esc_attr_e($settings['default-background-color']); ?>" />
				</div>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="bannerzon-default-text-color"><?php _e('Default Text Color'); ?></label></th>
			<td>
				<div class="bannerzon-color-container">
					<input type="text" class="code small-text bannerzon-color" name="bannerzon[default-text-color]" id="bannerzon-default-text-color" value="<?php esc_attr_e($settings['default-text-color']); ?>" />
				</div>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="bannerzon-default-link-color"><?php _e('Default Link Color'); ?></label></th>
			<td>
				<div class="bannerzon-color-container">
					<input type="text" class="code small-text bannerzon-color" name="bannerzon[default-link-color]" id="bannerzon-default-link-color" value="<?php esc_attr_e($settings['default-link-color']); ?>" />
				</div>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="bannerzon-default-border-thickness"><?php _e('Default Border'); ?></label></th>
			<td>
				<code>1px</code>
				<select class="code" name="bannerzon[default-border-style]" id="bannerzon-default-border-style">
					<option <?php selected($settings['default-border-style'], 'none') ?> value="none"><?php _e('None'); ?></option>
					<option <?php selected($settings['default-border-style'], 'hidden') ?> value="hidden"><?php _e('Hidden'); ?></option>
					<option <?php selected($settings['default-border-style'], 'solid') ?> value="solid"><?php _e('Solid'); ?></option>
					<option <?php selected($settings['default-border-style'], 'dotted') ?> value="dotted"><?php _e('Dotted'); ?></option>
					<option <?php selected($settings['default-border-style'], 'dashed') ?> value="dashed"><?php _e('Dashed'); ?></option>
					<option <?php selected($settings['default-border-style'], 'double') ?> value="double"><?php _e('Double'); ?></option>
					<option <?php selected($settings['default-border-style'], 'groove') ?> value="groove"><?php _e('Groove'); ?></option>
					<option <?php selected($settings['default-border-style'], 'ridge') ?> value="ridge"><?php _e('Ridge'); ?></option>
					<option <?php selected($settings['default-border-style'], 'inset') ?> value="inset"><?php _e('Inset'); ?></option>
					<option <?php selected($settings['default-border-style'], 'outset') ?> value="outset"><?php _e('Outset'); ?></option>
				</select>
				<div class="bannerzon-color-container">
					<input type="text" class="code small-text bannerzon-color" name="bannerzon[default-border-color]" id="bannerzon-default-border-color" value="<?php esc_attr_e($settings['default-border-color']); ?>" />
				</div>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="bannerzon-default-border-radius"><?php _e('Default Border Radius'); ?></label></th>
			<td>
				<input type="text" class="code small-text" name="bannerzon[default-border-radius]" id="bannerzon-default-border-radius" value="<?php esc_attr_e($settings['default-border-radius']); ?>" /><code>px</code>
			</td>
		</tr>
	</tbody>
</table>