<?php

class BannerZonWidget extends WP_Widget {

	function __construct() {
		$widget_ops = array('classname' => 'widget_bannerzon', 'description' => __('Display a BannerZon ad in your sidebar.'));
		parent::__construct('bannerzon', __('BannerZon'), $widget_ops);
	}

	function widget($args, $instance) {
		extract($args);

		$banner_id = $instance['banner-id'];
		$context_attributes = array('context' => 'widget', 'sidebar-name' => $args['name']);
		$title = apply_filters('widget_title', empty($instance['title']) ? '' : $instance['title'], $instance, $this->id_base);

		if(!empty($banner_id) && BannerZon::TYPE_BANNERZON === get_post_type($banner_id)) {
			$markup = BannerZon::get_banner_markup($banner_id, 'none', $context_attributes);

			if(!empty($markup)) {
				echo $before_widget;

				echo '<div class="bannerzon-widget">';

				if(!empty($title)) {
					echo $before_title . $title . $after_title;
				}

				echo $markup;

				echo '</div>';
				echo $after_widget;
			}
		}
	}

	function update($new_instance, $old_instance) {
		$instance = $old_instance;

		$instance['banner-id'] = intval($new_instance['banner-id']);
		$instance['title'] = strip_tags($new_instance['title']);

		return $instance;
	}

	function form($instance) {
		$instance = wp_parse_args((array) $instance, array('banner-id' => 0, 'title' => ''));

		$banner_id = intval($instance['banner-id']);
		$title = esc_attr($instance['title']);

		$banners = get_posts(array('nopaging' => true, 'post_type' => BannerZon::TYPE_BANNERZON));

		include('views/controls.php');
	}

}